<!-- قسم البائع -->
<section class="flat-spacing-5 pt_4 flat-seller">
 <div class="container">
   <div class="flat-title">
     <span class="title wow fadeInUp" data-wow-delay="0s">{{name}}</span>
   </div>
   <div class="no-product-list">

   </div>
   <div class="grid-layout loadmore-item wow fadeInUp" data-wow-delay="0s" data-grid="grid-4">
     <!-- سيتم إدراج المنتجات ديناميكياً هنا -->
   </div>
   <div class="tf-pagination-wrap view-more-button text-center">
     <button id="loadMoreBtn" class="tf-btn-loading tf-loading-default style-2">
       <span class="text">تحميل المزيد <i class="icon-arrow1-top-right"
           style="padding-right: 5px; font-size: 0.6rem;"></i></span>
     </button>
     <a href="/shop" id="shopBtn" class="tf-btn-loading tf-loading-default style-2"
       style="display: none; padding-top: 10px !important;">
       <span class="text">زيارة المتجر <i class="icon-arrow1-top-right"
           style="padding-right: 5px; font-size: 0.6rem;"></i></span>
     </a>
   </div>
 </div>
</section>
<!-- /قسم البائع -->

<script type="text/javascript" src="js/jquery.min.js"></script>
<script>
 $(document).ready(function () {
   const allProductIds = JSON.parse('{{{productIds}}}');
   const FRONTEND_BASE_URL = '{{FRONTEND_BASE_URL}}';
   const BACKEND_BASE_URL = '{{BACKEND_BASE_URL}}';
   let currentOffset = 0;
   const itemsPerPage = 8;

   // التحقق من وجود منتجات
   if (allProductIds.length === 0) {
     $('.no-product-list').html('<div class="text-center">لا توجد منتجات متوفرة في هذه الفئة</div>');
     $('#loadMoreBtn').hide();
     $('#shopBtn').show();
     return;
   }

   function fetchProducts(ids) {
     $.ajax({
       url: FRONTEND_BASE_URL+'/shop',
       method: 'POST',
       contentType: 'application/json',
       data: JSON.stringify({ ids }),
       success: function (products) {
         if (products && products.length > 0) {
           products.forEach(product => appendProduct(product));
         }

         if (currentOffset >= allProductIds.length) {
           $('#loadMoreBtn').hide();
         }
       },
       error: function () {
         console.error('خطأ في جلب المنتجات');
       }
     });
   }

   function appendProduct(product) {
     const productHtml = `
       <div class="card-product" data-id="${product.id}">
           <div class="card-product-wrapper">
               <a href="/product-details?id=${product.id}&category=${product.category_name}" class="product-img">
                   <img class="img-product" src="${BACKEND_BASE_URL}${product.firstImage}" alt="${product.name}">
                   <img class="img-hover" src="${BACKEND_BASE_URL}${product.firstImage}" alt="${product.name}">
               </a>
           </div>
           <div class="card-product-info">
               <a href="/product-details?id=${product.id}&category=${product.category_name}" class="title link">${product.name}</a>
               <span class="price">${product.price} درهم</span>
           </div>
       </div>
     `;
     $('.grid-layout').append(productHtml);
   }

   function loadMoreProducts() {
     if (currentOffset < allProductIds.length) {
       const nextIds = allProductIds.slice(currentOffset, currentOffset + itemsPerPage);
       fetchProducts(nextIds);
       currentOffset += itemsPerPage;
     }
   }

   $('#loadMoreBtn').on('click', loadMoreProducts);
   loadMoreProducts();
 });
</script>